Bug 106059 - gfloppy can't format blank DD floppy
gfloppy can't format blank DD floppy
Status: CLOSED WONTFIX
Product: Red Hat Raw Hide
Classification: Retired
Component: gnome-utils (Show other bugs)
1.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
David Lawrence
: MoveUpstream, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-10-02 08:56 EDT by Tim Waugh
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-05-13 11:18:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Waugh 2003-10-02 08:56:25 EDT
Description of problem:
gfloppy was unable to format a double-density unformatted floppy.  I think it
probably tried to use /dev/fd0 instead of /dev/fd0D720, although I told it what
size floppy it was from the drop-down selector.

Version-Release number of selected component (if applicable):
gnome-utils-2.4.0-1

How reproducible:
100%

Steps to Reproduce:
1. Using a blank (unformatted) DD floppy, try to get floppy to format it.
    
Actual results:
Starts progress bar, makes no progress, eventually fails.  Lots of 'floppy0:
probe failed...' kernel messages logged.
Comment 1 Ray Strode [halfline] 2005-05-12 11:54:11 EDT
Hi,
I'm going through bugs assigned to me and attempting to clean some of the older,
fixed ones up.

This bug hasn't changed in over a year old now.  Are you still seeing the problem? 

(This a batch message is being sent to all my bugs that haven't changed in a year)
Comment 2 Tim Waugh 2005-05-12 12:18:38 EDT
I get:

Could not determine current floppy geometry.

in a dialog box, and this in dmesg:

floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
floppy0: probe failed...
end_request: I/O error, dev fd0, sector 0

Formatting a HD floppy as DD seems to work fine.

Could it possibly be that the drive doesn't support DD diskettes?(!)
Comment 3 Ray Strode [halfline] 2005-05-12 14:37:46 EDT
How old is the disk?
Comment 4 Tim Waugh 2005-05-12 17:30:13 EDT
Actually I just put tape over the media selector of an HD diskette for that
tape.  I'm afraid I don't know how old the genuine DD diskette was that prompted
me to file this bug -- I no longer have it.
Comment 5 Ray Strode [halfline] 2005-05-13 10:47:29 EDT
Hmm.  I'm not sure that that works (you probably know better than me).  At any
rate, I think this bug would be better closed or filed upstream.  Floppy disks
aren't really that interesting anymore.  DD disks are even less interesting. 

I'll leave it up to you what we do with this bug.

Note You need to log in before you can comment on or make changes to this bug.